Saved Password Editor 2.9.6 - January 27, 2016
----------------------------------------------

-  Further fixed handling of "Show passwords"; some versions retain the button
   but have moved the associated locale strings out of the locales. So, now I
   check for getLegacyString() and call it if it exists.
-  Stopped using global const in pwdmgrOverlay-sm.js, so it should work again.

Saved Password Editor 2.9.5 - January 26, 2016
----------------------------------------------

-  Re-added code for Firefox menu.
-  Added code to check for the presence of the "Show passwords" toggle before
   trying to use it, since there is a possibility of it getting removed
   eventually. It's not entirely clear whether it will happen or what, but it's
   better to be safe about it.

Saved Password Editor 2.9.4 - October 21, 2015
----------------------------------------------

Removed global const that is broken by Fx 44.

Saved Password Editor 2.9.3 - October 1, 2015
---------------------------------------------

-  Added prompt when deleting a password from the page context menu, so users
   don't accidentally delete their passwords when trying to do something else.
-  Updated locales.

Saved Password Editor 2.9.2 - September 8, 2015
-----------------------------------------------

-  Fixed JavaScript error in login disambiguation code (forgot to set a needed
   object property).
-  Rewrote usage of deprecated FUEL API.
-  Updated locales
-  New locale: uk. Thanks to zint.

Saved Password Editor 2.9.1-signed - April 30, 2015
---------------------------------------------------

-  Implemented configurable keyboard shortcut for opening "Saved Passwords"
   window.
-  Added "Visit site(s)" menu item to list in Saved Passwords and SeaMonkey
   Data Manager. Opens each selected item's host URL in a separate tab. Works
   in non-web browsers like Thunderbird too, in which case the Protocol Service
   is called to use the default application for each URL (usually your web
   browser).
-  Improved apparent organization of prefwindow.
-  Dropped prefwindow unpersist code from firstrun.jsm, since it doesn't work
   anyway, and the vast majority of users aren't affected.
-  Other, minor improvements to the code.
-  New translator for pt-BR: Marco Aurélio Krause "ouesten"

Saved Password Editor 2.9b1 - April 4, 2015
-------------------------------------------

-  Implemented configurable keyboard shortcut for opening "Saved Passwords"
   window.
-  Added "Visit site(s)" menu item to list in Saved Passwords and SeaMonkey
   Data Manager. Opens each selected item's host URL in a separate tab. Works
   non-web browsers like Thunderbird too, in which case the Protocol Service
   called to use the default application for each URL (usually your web
   browser).
-  Disabled all locales except en-US for now. Else users of other supported
   locales can't use, since the new locale strings are missing at the moment.
-  Improved apparent organization of prefwindow.
-  Dropped prefwindow unpersist code from firstrun.jsm, since it doesn't work
   anyway, and the vast majority of users aren't affected.
-  Other, minor improvements to the code.
-  Updated compatibility.

Saved Password Editor 2.8.3.1-signed - February 7, 2015
-------------------------------------------------------

Moved context menu items in attempt to fix issue with missing separator.

Saved Password Editor 2.8.3b1 - February 4, 2015
------------------------------------------------

Moved context menu items in attempt to fix issue with missing separator.

Saved Password Editor 2.8.2.1-signed - January 21, 2015
-------------------------------------------------------

-  Changed "Guess from current page" to use HTMLInputElement instead of
   Components.interfaces.nsIDOMHTMLInputElement.
-  Changed "Guess from current page" to read form's "action" property instead
   of the "action" attribute. The attribute can contain any form of relative
   URL, which is a pain to normalize, whereas the property is already
   normalized.
-  Added sl-SI locale. Thanks to Peter Klofutar.

Saved Password Editor 2.8.1.1-signed - November 10, 2014
--------------------------------------------------------

| Fixed bug with "Save login info" context menu item, where a non-URL form
  action (such as "javascript:") leads to a JavaScript error. This was because
  the code assumed the action is a valid URL when looking at the results of a
  regular expression evaluation.
|  
| This is fixed by setting a value of "javascript:", as a special case for
  actions with that scheme (as the Password Manager itself seems to do), and
  checking that the regexp returns non-null in other cases; otherwise, the form
  is rejected. I implemented this for the "Guess from current page" button as
  well.

Saved Password Editor 2.8.1-signed - October 25, 2014
-----------------------------------------------------

-  Catch exceptions from password manager modifyLogin() and display as popups,
   as exceptions are from other similar calls.
-  Improvements to editor data validation and error prevention:

   -  Validate Host field as well as Submit prefix or Annotation (depending on
      login type) to make sure they are not empty when about to add or modify
      it; if one of these is empty, display an appropriate popup error, and
      refuse to proceed.
   -  When multi-editing, disable the Submit prefix and/or Annotation fields,
      depending on what types of logins are being edited, in order to prevent
      duplicates that would arise by setting those fields.

Saved Password Editor 2.7.3.1-signed - September 11, 2014
---------------------------------------------------------

New locale: it. Thanks to Leopoldo Saggin.

Saved Password Editor 2.7.2.1-signed - January 25, 2014
-------------------------------------------------------

-  Updated toolbar button to better integrate with Australis UI.
-  Updated all references to my email address.

Saved Password Editor 2.7.1.1-signed - September 21, 2013
---------------------------------------------------------

-  Update locales.
-  Toolbar button auto-add for some windows (once only, of course, and being
   careful not to move the button if it's already in a toolbar).

Saved Password Editor 2.7.1-signed - January 31, 2013
-----------------------------------------------------

-  Added option to select and scroll to a login in the Saved Passwords list
   when it's first opened.
-  Combined "other" type into "annotated" type in editor.
-  The editor now allows editing any combination of logins regardless of their
   types; the "Type" section is now removed when editing multiple logins to
   reflect this fact.
-  Simplified install manifest to list translators for each locale only under
   their own locales. That saves quite a few KiB in size.
-  Improved look of menu-button in Saved Passwords for Windows and Mac OS X.
   Thanks to Robert Janc for assistance with the Mac part.

Saved Password Editor 2.7pre1 - January 23, 2013
------------------------------------------------

-  Added option to select and scroll to a login in the Saved Passwords list
   when it's first opened.
-  Combined "other" type into "annotated" type in editor.
-  The editor now allows editing any combination of logins regardless of their
   types; the "Type" section is now removed when editing multiple logins to
   reflect this fact.
-  Simplified install manifest to list translators for each locale only under
   their own locales. That saves quite a few KiB in size.
-  Improved look of menu-button in Saved Passwords for Windows and Mac OS X.
   Thanks to Robert Janc for assistance with the Mac part.

Saved Password Editor 2.6.4.1-signed - October 29, 2012
-------------------------------------------------------

-  Correct error in pl locale.
-  Correct usage of window-global variable no longer present in Saved Passwords
   as of 18.0a2 or so.

Saved Password Editor 2.6.3.1-signed - July 21, 2012
----------------------------------------------------

Fixed bug in form guessing logic that caused an error with no "type" attribute.

Saved Password Editor 2.6.2.1-signed - May 1, 2012
--------------------------------------------------

Fix bug in recognizing annotated type in multi-edit.

Saved Password Editor 2.6.1.1-signed - April 17, 2012
-----------------------------------------------------

Fixed overzealousness which caused "Firefox" menu item to be in the wrong
place.

Saved Password Editor 2.6.1-signed - April 14, 2012
---------------------------------------------------

-  Changed presentation of editor dialog: now all possible fields are visible
   at all times; the ones that don't pertain to the current login type are
   disabled. This allowed me to make the window non-resizable and stop
   persisting the dimensions, which should eliminate problems with the window
   being too small because the contents have become larger.
-  Added feature to rename "Saved Passwords" menu item for those who want to
   make it less obvious.
-  Added option to always show passwords, including in the Saved Passwords
   dialog. Unfortunately, there is a dilemma regarding the master password
   prompt: if I prompt for it, there is a possibility it has already been
   prompted for immediately before; if I don't prompt for it, it probably won't
   get prompted for at all except the first time the dialog shows during a
   session. I leave it to the user to decide which is less undesirable but err
   on the side of caution for the default.
-  Made detection of login form field types case-insensitive.

Saved Password Editor 2.6pre1 - March 31, 2012
----------------------------------------------

-  Changed presentation of editor dialog: now all possible fields are visible
   at all times; the ones that don't pertain to the current login type are
   disabled. This allowed me to make the window non-resizable and stop
   persisting the dimensions, which should eliminate problems with the window
   being too small because the contents have become larger.
-  Added feature to rename "Saved Passwords" menu item for those who want to
   make it less obvious.
-  Added option to always show passwords, including in the Saved Passwords
   dialog. Unfortunately, there is a dilemma regarding the master password
   prompt: if I prompt for it, there is a possibility it has already been
   prompted for immediately before; if I don't prompt for it, it probably won't
   get prompted for at all except the first time the dialog shows during a
   session. I leave it to the user to decide which is less undesirable but err
   on the side of caution for the default.

Saved Password Editor 2.5.1.1-signed - March 22, 2012
-----------------------------------------------------

-  New translator for bg: pl99.
-  Now allowing web form logins for Thunderbird.
-  Removed Password Tags integration from editor window. There are issues
   regarding the API as well as concurrent database access that I need to work
   out; once I do, I might bring this back.

Saved Password Editor 2.5.1-signed - January 18, 2012
-----------------------------------------------------

Changes from 2.2.6:

-  Added page context menu items for manipulating logins associated with a web
   form directly. These are made to work very similarly to those in Mobile
   Saved Password Editor.
-  Renamed "HTTP authentication" login type to "Annotated" while making it work
   with non-HTTP authentication logins (an example being Sync). Accordingly, I
   also renamed the "HTTP realm" field to "Annotation".
-  Rearranged icon files so all are in the skin directory; packed the 29px,
   24px, 19px, and 16px icons into a single file for use with the
   "-moz-image-region" style rule. The 32px and 64px ones must exist as
   individual files since they are referenced from places that don't accept
   icon-set images.
-  Converted first-run component to a module. This solves the problem of
   unreliable behavior in opening a new tab, since I can now use an overlay to
   import the module on window load. The module runs once on application
   startup and leaves no objects where it is imported.
-  Updated welcome page to mention the new commands in the context menu.
-  Improvements to editor window:

   -  Minimized use of XPath.
   -  Loosened form matching logic: no longer requires name attributes.
   -  Handling of show/hide now focuses the newly-visible button for better
      accessibility.

Saved Password Editor 2.5pre3 - January 12, 2012
------------------------------------------------

-  Attempting to optimize first-run module.
-  Added some updated locales.

Saved Password Editor 2.5pre2 - January 10, 2012
------------------------------------------------

Improvements to editor window:

-  Minimized use of XPath.
-  Loosened form matching logic: no longer requires name attributes.
-  Handling of show/hide now focuses the newly-visible button for better
   accessibility.

Saved Password Editor 2.5pre1 - January 4, 2012
-----------------------------------------------

-  Added page context menu items for manipulating logins associated with a web
   form directly. These are made to work very similarly to those in Mobile
   Saved Password Editor.
-  Renamed "HTTP authentication" login type to "Annotated" while making it work
   with non-HTTP authentication logins (an example being Sync). Accordingly, I
   also renamed the "HTTP realm" field to "Annotation".
-  Rearranged icon files so all are in the skin directory; packed the 29px,
   24px, 19px, and 16px icons into a single file for use with the
   "-moz-image-region" style rule. The 32px and 64px ones must exist as
   individual files since they are referenced from places that don't accept
   icon-set images.
-  Converted first-run component to a module. This solves the problem of
   unreliable behavior in opening a new tab, since I can now use an overlay to
   import the module on window load. The module runs once on application
   startup and leaves no objects where it is imported.
-  Updated welcome page to mention the new commands in the context menu.

Saved Password Editor 2.2.6.1-signed - December 2, 2011
-------------------------------------------------------

-  Moved Master Password prompt to after the editor window is already
   displayed, in an attempt to resolve reported issue with the prompt appearing
   behind the Saved Passwords window on recent Firefox under Windows 7.
-  Split Show/Hide button into two separate buttons, in order to get rid of
   redundant strings in locale properties files.
-  Split locale files into window-specific files.
-  fi: Jiipee (BabelZilla)

Saved Password Editor 2.2.5.1-signed - September 26, 2011
---------------------------------------------------------

-  Updated pt-BR, pt-PT, and zh-TW locales.
-  Updated compatibility for Conkeror.

Saved Password Editor 2.2.3.1-signed - September 8, 2011
--------------------------------------------------------

-  Renamed references to Firefox menu (Windows and Linux) to be less obscure.
-  Updated welcome page text to better reflect reality (e.g. context menu).
-  Increased welcome page delay timer from 3000 to 3500.
-  Switched to using 32px icon as small add-on icon, only as icon.png (removed
   <iconURL> element in install.rdf). Switched to using 64px icon in welcome
   page. Deleted 32px and 48px icons from skin directory, as they are no longer
   being used.
-  Deleted chrome/icons, since those icons are not used much.
-  Ran remaining icons through pngcrush to reduce their size.
-  Fixed another bug related to SeaMonkey Data Manager.
-  el: George Malamas "Grg68" (BabelZilla)

Saved Password Editor 2.2.1.1-signed - August 12, 2011
------------------------------------------------------

-  Updated eo locale
-  hsb-DE: milupo (BabelZilla)

Saved Password Editor 2.2.1-signed - August 4, 2011
---------------------------------------------------

-  Changed password editor window to not ask for Master Password for an
   initially shown password if passwords are already being displayed in the
   Saved Passwords list.
-  Added option to have password in editor window be shown if and only if
   passwords are being shown in the Saved Passwords list.
-  New feature: when using "Guess from current page", in case there is more
   than one suitable login form, allow the user to select among them using
   buttons next to the "Guess" button.
-  Made guessing work with XHTML (application/xhtml+xml).
-  Added tooltip to menu items.

Saved Password Editor 2.1.1.1-signed - July 25, 2011
----------------------------------------------------

Oops, Object.create() doesn't work before Fx 4.0 and equivalents. Fix.

Saved Password Editor 2.1.1-signed - June 29, 2011
--------------------------------------------------

-  New feature: multiple selections now allowed for editing. Useful if, for
   instance, you have similar credentials on many sites, or many accounts on
   one site, and you need to change them *en masse*.
    
   All of the selected logins must be of the same type (web form, HTTP, other).
   Fields that differ among the selections are represented by a light
   checkerboard pattern, indicating an indeterminate value. Anything entered in
   any of the fields is written to all selected logins, but fields left
   indeterminate are not changed.
    
   Note that the Tags field (convenience for those with `Password
   Tags <https://addons.mozilla.org/addon/password-categories/>`__ installed)
   doesn't behave in the above way and in fact is turned off when editing
   multiple logins.
-  eo: milupo (BabelZilla)

Saved Password Editor 2.0.6.1-signed - April 8, 2011
----------------------------------------------------

-  Modified form matching for password editor: now requires username and
   password fields to have non-empty name attributes. For the future: implement
   a way for all forms considered valid to be offered to user, in case there
   are multiple login forms on the page.
-  Fixed glitch in menu-button behavior, where it would not revert to "new"
   state for non-singular selections after the editor dialog was cancelled.
-  zh-CN: `yfdyh000 <mailto:yfdyh000@gmail.com>`__ (BabelZilla)

Saved Password Editor 2.0.5.1-signed - March 8, 2011
----------------------------------------------------

-  Fixed bug introduced in 2.0.3 making menu-button default behave incorrectly.
-  Now preserves password selection (except with "New" command) and scroll
   position when adding/editing/cloning a password.

Saved Password Editor 2.0.4.1-signed - February 28, 2011
--------------------------------------------------------

2.0.4:

-  Now works with SeaMonkey's new Data Manager (my own menu item and toolbar
   button still access the toolkit dialog).

| 
| 2.0.3:

-  Fixed: list wasn't being updated after editing password if list was
   filtered.
-  "Category" now changed to "Tags" to match renaming of *Password Categories*
   add-on to *Password Tags*.
-  id-ID: XCen (BabelZilla)

Saved Password Editor 2.0.2.1-signed - January 29, 2011
-------------------------------------------------------

Fixed syntax error in pt-PT and zh-CN locale files that caused the add-on to be
unusable.

Saved Password Editor 2.0.1.1-signed - January 4, 2011
------------------------------------------------------

-  pl: Marcin Borowczyk "MarcinB" (BabelZilla)
-  Fixed bug in form guessing algorithm, causing it to not check documents in
   frames as it should.
-  Fixed console error caused by assuming existence of Windows app menu on all
   platforms.
-  Fixed context menu items in password manager to work on pre-Firefox 4.0
-  Added support for `Spicebird <http://www.spicebird.com/>`__

Saved Password Editor 2.0.1-signed - December 28, 2010
------------------------------------------------------

-  Now fully compatible with `Conkeror <http://conkeror.org/>`__ (and probably
   some other apps)
-  Added menu item to app menu (Fx 4.0/Windows)
-  Individual buttons in password manager changed to an intelligent menu-button
-  Option to always show passwords on opening editor dialog, or remember state
-  Now asks for master password only if a password is about to be shown
-  Interacts with `Password
   Categories <https://addons.mozilla.org/addon/261958/>`__ add-on (if present)
   to provide an extra place to edit category names
-  New button icon and logo provided by
   `PlastikManiac <http://plastikmaniac.deviantart.com/>`__
-  sr: DakSrbija (BabelZilla)
-  sv-SE: Mikael Hiort af Ornäs "Lakrits" (BabelZilla)
-  tr-TR: Anil Kilic - `www.guncem.net <http://www.guncem.net/>`__ "ua\_anil",
   nikneyim (BabelZilla)

Saved Password Editor 1.5.4 - December 3, 2010
----------------------------------------------

-  Fixed to actually require master password when editing, instead of showing
   the editor anyway when "cancel" clicked.
-  Compatibility info updated.

Saved Password Editor 1.5.3 - July 24, 2010
-------------------------------------------

-  Updated for Fx 4.0 compatibility (tested with 4.0b3pre).
-  Fixed typo creating syntax error in es-ES locale, which made all the
   add-on's widgets disappear (my own fault).

Saved Password Editor 1.5.2 - July 22, 2010
-------------------------------------------

Updated es-ES, now that I received translations from Rivica.

Saved Password Editor 1.5.1 - June 30, 2010
-------------------------------------------

-  Removed unnecessary typelib for component.
-  Fixed typo in Japanese (ja) localization.
-  "Guess from current page" now copies username and password fields only if
   password field is non-empty (makes "Clone" function more useful).

Saved Password Editor 1.5 - June 7, 2010
----------------------------------------

-  bg-BG: ExaFlop (BabelZilla).
-  ja: Masahiko Imanaka (BabelZilla).
-  Added option to turn Tools menu item on and off to add-on
   options/preferences dialog (pref itself was available as of 1.1.7).
-  Added command to "clone" a login in the password manager (i.e. create a new
   login, but with fields pre-filled from another login), useful if you need to
   create a lot of similar logins. Appearance of command is configurable in
   options/preferences.
-  Moved first-run code into a component.
-  Welcome page now appears in Thunderbird (in a tab). Still nothing for
   Sunbird; I'd probably need to open a window.

Saved Password Editor 1.1.8 - May 25, 2010
------------------------------------------

-  Made password editor text boxes take up all width not taken by other
   elements, so form fills window horizontally.
-  sr (Serbian/Српски): Charmed94 (BabelZilla).

Saved Password Editor 1.1.7 - May 20, 2010
------------------------------------------

-  Fixed: Saved Passwords dialog was non-resizable when opened through toolbar
   button or menu item.
-  pt-PT (Portuguese-Portugal/português-Portugal): Carlos Simão "lloco"
   (BabelZilla).
-  Made it possible to hide "Saved Passwords" menu item, using preference
   **extensions.savedpasswordeditor.display\_menuitem**. Not included in
   preferences dialog yet.

Saved Password Editor 1.1.6 - April 12, 2010
--------------------------------------------

-  zh-TW (Chinese-Taiwain/漢語-臺灣; Traditional Chinese/正體字): Velociraptor
   (BabelZilla).
-  Improved guessing code (input fields with no 'type' attribute now recognized
   as text type) and simplified.

Saved Password Editor 1.1.5 - April 4, 2010
-------------------------------------------

| 1.1.5:
|  
| vi (Vietnamese/tiếng Việt): Nguyễn Hoàng Long at timelinelive.blogspot.com
  "longnh" (BabelZilla).
|  
| 1.1.4:
|  
| Added support for Flock.

Saved Password Editor 1.1.3 - March 18, 2010
--------------------------------------------

| Bugfix: Editor window is now explicitly resizable, which means it's resizable
  on Windows.
|  
| Also added German description to install manifest.

Saved Password Editor 1.1.2 - March 9, 2010
-------------------------------------------

| 1.1.2: Expanded guessing logic to consider (i)frames
|  
| 1.1.1: Added locales courtesy of the wonderful translators of BabelZilla:

-  de-DE (German-Germany/Deutsch-Deutschland): /usr/bin/tux
-  fr (French/Français): Goofy
-  hu (Hungarian/Magyar): MIKES KASZMÁN István "Cashman"
-  nl (Dutch/Nederlands): markh
-  pt-BR (Portuguese-Brazil/Português-Brasil): Edgard Dias Magalhaes
   "edgard.magalhaes"
-  ru (Russian): Пирятинский Виталий (Pyryatynsky Vitaly) "PiVV"
-  zh-CN (Chinese-China/中文-中国; simplified Chinese/简体字): Loviny

Saved Password Editor 1.1 - February 11, 2010
---------------------------------------------

1.1:

-  Expanded compatibility to SeaMonkey (2.0+), Thunderbird (3.0+), and Sunbird
   (1.0+).
-  Made welcome page display more reliably.
-  Prepared welcome page for right-to-left scripts.
-  Added "Saved Passwords" command to Tools menu.

Saved Password Editor 1.0.1 - February 6, 2010
----------------------------------------------

1.0.1:

-  New locale: es-ES, thanks to Ricardo A. Rivas (Rivica at gmail dot com)

1.0:

-  Now optionally forces login on every edit (when master password is present).
-  Added first-run welcome page, based on stored add-on version.
-  Added toolbar button for quick access to the Saved Passwords dialog.
-  Added add-on icon.

Saved Password Editor 0.4 - January 23, 2010
--------------------------------------------

-  Added a Show/Hide button for the password field; the field now hides the
   password by default.
